      subroutine wrdet(nca,ncb,ica,icb,nta,ntb,ita,itb,npa,npb,ipa,ipb)
      implicit real*8(a-h,o-x,z),logical*1 (y)
c      dimension ica(nca),icb(ncb),ita(nta),itb(ntb),ipa(npa),ipb(npb)
      dimension ica(*),icb(*),ita(*),itb(*),ipa(*),ipb(*)
c      write(6,*)'nca,ncb,nta,ntb,npa,npb',nca,ncb,nta,ntb,npa,npb
      write(75,*)'------determinant------  ',
c     write(75,*)
     *'T',(ita(k),k=1,nta),'  ',(-itb(k),k=1,ntb),
     *'    C',(ica(k),k=1,nca),'  ',(-icb(k),k=1,ncb),
     *'    P',(ipa(k),k=1,npa),'  ',(-ipb(k),k=1,npb),'$'
      call scril
c      write(2,*)'T',(ita(k),k=1,nta),'  ',(-itb(k),k=1,ntb),
c     *'    C',(ica(k),k=1,nca),'  ',(-icb(k),k=1,ncb),
c     *'    P',(ipa(k),k=1,npa),'  ',(-ipb(k),k=1,npb)
      return
      end
 
 
 
 
 
 
 
